Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.component
Interface AjaxComponent

    public interface AjaxComponent

Base Interface for Ajax-enabled acting components. TODO - extend `ActionSource`???

Version:
  $Revision: 1.1.2.2 $ $Date: 2007/01/23 20:01:01 $
Author:
  shura (latest modification by $Author: alexsmirnov $)

Field Summary
`static java.lang.String` | `AJAX_COMPONETT_PARAMETER`

Method Summary
`java.lang.Object` | `getData()`
`java.lang.String` | `getEventsQueue()` Getter for property name of events queue on client side - for avoid to send requests too frequnly ( on key events, for example ), implementation will be generated by componnents-generator
`java.lang.String` | `getFocus()`
`java.lang.String` | `getOnbeforedomupdate()`
`java.lang.String` | `getOnbegin()`
`java.lang.String` | `getOncomplete()`
`java.lang.Object` | `getProcess()`
`int` | `getRequestDelay()` Getter for property Delay ( in ms.
`java.lang.Object` | `getReRender()`
`java.lang.String` | `getSimilarityGroupingId()`
`java.lang.String` | `getStatus()`
`int` | `getTimeout()` Getter for request timeout
`boolean` | `isAjaxSingle()`
`boolean` | `isBypassUpdates()` Getter for bypassUpdates bean property.
`boolean` | `isIgnoreDupResponses()` Getter for property flag indicated aborting unfinished ajax requests in queue.
`boolean` | `isLimitRender()`
`void` | `setAjaxSingle(boolean single)` setter method for property
`void` | `setBypassUpdates(boolean bypass)` Setter for bypassUpdates bean property.
`void` | `setData(java.lang.Object data)` setter method for property
`void` | `setEventsQueue(java.lang.String newvalue)` Setter for property name of events queue on client side - for avoid to send requests too frequnly ( on key events, for example ), implementation will be generated by componnents-generator
`void` | `setFocus(java.lang.String focus)` Setter for a 'focus' bean property - id of component( or of DOM element ), to set focus after AJAX request.
`void` | `setIgnoreDupResponses(boolean newvalue)` Setter for flag indicated aborting unfinished ajax requests in queue.
`void` | `setLimitRender(boolean submitForm)` setter method for property
`void` | `setOnbeforedomupdate(java.lang.String beforeUpdate)` setter method for property
`void` | `setOnbegin(java.lang.String onbegin)`
`void` | `setOncomplete(java.lang.String oncomplete)` setter method for property
`void` | `setProcess(java.lang.Object targetId)` setter method for property
`void` | `setRequestDelay(int newvalue)` Setter for property Delay ( in ms.
`void` | `setReRender(java.lang.Object targetId)` setter method for property
`void` | `setSimilarityGroupingId(java.lang.String similarityGroupingId)`
`void` | `setStatus(java.lang.String status)` setter method for property
`void` | `setTimeout(int timeout)` Setter for request timeout

Field Detail

### AJAX_COMPONETT_PARAMETER

    static final java.lang.String AJAX_COMPONETT_PARAMETER

Method Detail

### setReRender

    void setReRender(java.lang.Object targetId)

  setter method for property

  Parameters:
    `new` - value of String, `Collection` or array of component's Id , updated in case of Ajax request by parent component. to set

### getReRender

    java.lang.Object getReRender()

  Returns:
    value or result of valueBinding of String, `Collection` or array of component's Id , updated in case of Ajax request by parent component.

### setProcess

    void setProcess(java.lang.Object targetId)

  setter method for property

  Parameters:
    `new` - value of String, `Collection` or array of component's Id , processed at the phases 2-5 in the case of Ajax request by parent component. to set

### getProcess

    java.lang.Object getProcess()

  Returns:
    value or result of valueBinding of String, `Collection` or array of component's Id , processed at the phases 2-5 in case of Ajax request by parent component.

### setStatus

    void setStatus(java.lang.String status)

  setter method for property

  Parameters:
    `new` - value of Id ( in format of UIComponent.findComponent() call ) of request status indicator to set

### getStatus

    java.lang.String getStatus()

  Returns:
    value or result of valueBinding of Id ( in format of UIComponent.findComponent() call ) of request status indicator

### setOncomplete

    void setOncomplete(java.lang.String oncomplete)

  setter method for property

  Parameters:
    `new` - value of Name of JavaScript function, called on complete Ajax request to set

### getOncomplete

    java.lang.String getOncomplete()

  Returns:
    value or result of valueBinding of Name of JavaScript function, called on complete Ajax request

### getOnbeforedomupdate

    java.lang.String getOnbeforedomupdate()

  Returns:
    value or result of valueBinding of Name of JavaScript function, called before updating DOM

### setOnbeforedomupdate

    void setOnbeforedomupdate(java.lang.String beforeUpdate)

  setter method for property

  Parameters:
    `new` - value of Name of JavaScript function, called before updating DOM to set

### getOnbegin

    java.lang.String getOnbegin()

### setOnbegin

    void setOnbegin(java.lang.String onbegin)

### setData

    void setData(java.lang.Object data)

  setter method for property

  Parameters:
    `new` - value of custom data translated to oncomplete function by AJAX

### getData

    java.lang.Object getData()

  Returns:
    value of custom data for translate to oncomplete function by AJAX

### setLimitRender

    void setLimitRender(boolean submitForm)

  setter method for property

  Parameters:
    `new` - value of Submit ( or not ) full form on Ajax action. to set

### isLimitRender

    boolean isLimitRender()

  Returns:
    value or result of valueBinding of Submit ( or not ) full form on Ajax action.

### setAjaxSingle

    void setAjaxSingle(boolean single)

  setter method for property

  Parameters:
    `new` - value of Submit ( or not ) full form on Ajax action. to set

### isAjaxSingle

    boolean isAjaxSingle()

  Returns:
    value or result of valueBinding of Submit ( or not ) full form on Ajax action.

### isBypassUpdates

    boolean isBypassUpdates()

  Getter for bypassUpdates bean property. Indicate that component must invoke listeners after Process Validators phase and force render response after it - since no values of components will be updated. Can be used to perform validation of client input using server-side validators.

  Returns:
    true if component must force render after validation phase.

### setBypassUpdates

    void setBypassUpdates(boolean bypass)

  Setter for bypassUpdates bean property.

  Parameters:
    `bypass` - true if component must force render after validation phase.

### getEventsQueue

    java.lang.String getEventsQueue()

  Getter for property name of events queue on client side - for avoid to send requests too frequnly ( on key events, for example ), implementation will be generated by componnents-generator

  Returns:
    property value

### setIgnoreDupResponses

    void setIgnoreDupResponses(boolean newvalue)

  Setter for flag indicated aborting unfinished ajax requests in queue.

  Parameters:
    `newvalue` - - new property value. If true, unfinished request in queue will be aborted on new events.

### isIgnoreDupResponses

    boolean isIgnoreDupResponses()

  Getter for property flag indicated aborting unfinished ajax requests in queue. componnents-generator

  Returns:
    property value

### setEventsQueue

    void setEventsQueue(java.lang.String newvalue)

  Setter for property name of events queue on client side - for avoid to send requests too frequnly ( on key events, for example ), implementation will be generated by componnents-generator

  Parameters:
    `newvalue` - - new property value

### getRequestDelay

    int getRequestDelay()

  Getter for property Delay ( in ms. ) for send ajax request on JavaScript event. In conjunction with events queue can reduce number of requests on keyboard or mouse move events., implementation will be generated by componnents-generator

  Returns:
    property value

### setRequestDelay

    void setRequestDelay(int newvalue)

  Setter for property Delay ( in ms. ) for send ajax request on JavaScript event. In conjunction with events queue can reduce number of requests on keyboard or mouse move events., implementation will be generated by componnents-generator

  Parameters:
    `newvalue` - - new property value

### getTimeout

    int getTimeout()

  Getter for request timeout

  Returns:
    timeout in ms.

### setTimeout

    void setTimeout(int timeout)

  Setter for request timeout

  Parameters:
    `timeout` - new value in ms.

### setFocus

    void setFocus(java.lang.String focus)

  Setter for a 'focus' bean property - id of component( or of DOM element ), to set focus after AJAX request.

  Parameters:
    `focus` -

### getFocus

    java.lang.String getFocus()

  Returns:

### setSimilarityGroupingId

    void setSimilarityGroupingId(java.lang.String similarityGroupingId)

### getSimilarityGroupingId

    java.lang.String getSimilarityGroupingId()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.